Package org.mariadb.jdbc.message.server

## Class AuthSwitchPacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.AuthSwitchPacket

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ServerMessage`

    public class AuthSwitchPacket
    extends Object
    implements org.mariadb.jdbc.message.ServerMessage

### Constructor Summary

Constructors
`AuthSwitchPacket​(String plugin, byte[] seed)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AuthSwitchPacket` `decode​(org.mariadb.jdbc.client.ReadableByteBuf buf)`
`String` `getPlugin()`
`byte[]` `getSeed()`
`static byte[]` `getTruncatedSeed​(byte[] seed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthSwitchPacket

    public AuthSwitchPacket​(String plugin,
                            byte[] seed)

### Method Detail

#### decode

    public static AuthSwitchPacket decode​(org.mariadb.jdbc.client.ReadableByteBuf buf)

#### getPlugin

    public String getPlugin()

#### getSeed

    public byte[] getSeed()

#### getTruncatedSeed

    public static byte[] getTruncatedSeed​(byte[] seed)